Subject: bug#29676: Guix test failure on tests/store.

From: Roel Janssen <[email-masked]>
Date: Tue, 12 Dec 2017 17:50:35 +0100

Ludovic Courtès writes:

> Hi,
>
> Roel Janssen <[email-masked]> skribis:
>
>> I attached the build log.  The relevant bit is this:
>>
>> actual-error:
>> + (srfi-34
>> +   #<condition &nix-protocol-error [message: "path `dtmp/guix-tests/store/462z3fnl7bs44vp9s97jyg1z74nsfvly-tar' is not in the Nix store" status: 1] 1071090>)
>> result: FAIL
>
> The “dtmp” bit (instead of “/tmp”) looks fishy and would suggest a
> memory corruption, presumably in the daemon.

The daemon used in the test, or the daemon used to do the package build?

>
> I suppose the failure random, isn’t it?

I ran it again, and I've got the same error:

actual-error:
+ (srfi-34
+   #<condition &nix-protocol-error [message: "path `dtmp/guix-tests/store/462z3fnl7bs44vp9s97jyg1z74nsfvly-tar' is not in the Nix store" status: 1] 1754ed0>)

So that's either a very funny coincidence, or it's a structural problem.

>
>> Does this mean I have an inconsistency in the store?
>
> No, definitely not.  Those tests run on a scratch store, in
> /tmp/guix-tests/store.

Ok.  That's some good news at least. :)

Do you have any suggestions for how I can debug this problem?

Kind regards,
Roel Janssen